package com.tsi.api.server.vo;

import com.tsi.api.server.dto.BrokerDto;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class BrokerVo {
    private String ipAddr;  // 브로커 서버 IP주소
    private int    port;    // 브로커 서버 포트번호
    private String id;      // 브로커 서버 접속 ID
    private String pwd;     // 브로커 서버 접속 패스워드

    public BrokerDto toDto() {
        return BrokerDto.builder()
                .host(this.ipAddr)
                .port(this.port)
                .id(this.id)
                .pwd(this.pwd).build();
    }
}
